#!/bin/bash

function dsi_on()
{
	echo $1 | sudo tee /sys/class/drm/card0-DSI-1/status
	echo $1 | sudo tee  /sys/class/drm/card0-DSI-2/status
}

function dp_on()
{
	echo $1 | sudo tee /sys/class/drm/card0-DP-1/status
	echo $1 | sudo tee /sys/class/drm/card0-DP-2/status
}

function hdmi_on()
{
	echo $1 | sudo tee /sys/class/drm/card0-HDMI-A-1/status
	echo $1 | sudo tee /sys/class/drm/card0-HDMI-A-2/status
}

DSI_ON="$(getprop dev.display.dsi)"
HDMI_ON="$(getprop dev.display.hdmi)"
DP_ON="$(getprop dev.display.dp)"

if [ "${DSI_ON}" == "on" ] || [ "${DSI_ON}" == "off" ]; then
	dsi_on ${DSI_ON}
fi
if [ "${HDMI_ON}" == "on" ] || [ "${HDMI_ON}" == "off" ]; then
	hdmi_on ${HDMI_ON}
fi
if [ "${DP_ON}" == "on" ] || [ "${DP_ON}" == "off" ]; then
	dp_on ${DP_ON}
fi
